Bug 848699 - php-geshi requires "php" package
php-geshi requires "php" package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: php-geshi (Show other bugs)
19
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 04:46 EDT by Ethan
Modified: 2013-10-23 13:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-23 13:42:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ethan 2012-08-16 04:46:41 EDT
Description of problem:
  Shall php-geshi require php-common instead of php?

Version-Release number of selected component (if applicable):
  php-geshi-1.0.8.8-1.el6.noarch

How reproducible:
  yum install php-geshi

Actual results:
  Processing Dependency: php >= 4.3.0 for package: php-geshi-1.0.8.8-1.el6.noarch

Expected results:
  Processing Dependency: php-common for package: php-geshi
Comment 1 Remi Collet 2012-08-16 08:50:25 EDT
From PHP Guidelines

> A PHP library must not have an explicit Requires on php or httpd, since these
> libraries could be used with any webserver or any SAPI (php-cli, php-cgi,
> php-fpm, ...). 

Proposal : simply drop this line (4.3.0 is far behind all available version in Fedora/EL supported versions)

Could also add php-date and php-pcre.
Comment 2 Fedora End Of Life 2013-04-03 14:02:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Xavier Bachelot 2013-10-23 13:42:12 EDT
Thanks for the report and sorry for the late reply, this should have been closed long ago, this was fixed on August 21st 2012 with php-geshi 1.0.8.11-1.

Regards,
Xavier

Note You need to log in before you can comment on or make changes to this bug.